clear
clc
close all

dd = 5;
alpha = 20; %weighting factor
num_its = 16; %number of iterations
nn = 64; %number of images in sequence
img_start = 100;%image where computation starts
numperof = 4; %number of images per optical flow calculation
mov = avifile('blimp_movie.avi')

ii = 1;
while ii < nn
    for mm = 0:numperof-1
        idx = 49000+img_start+ii+mm;
        s = sprintf('PICT00%d.jpg',idx);
        [input,map] = imread(s,'jpeg');
        %     original(:,:,:,ii) = input;
        dummy = rgb2ind(input,gray(256));
        %     large(:,:,ii) = dummy;
        dummy2= dummy(1:150,100:300);
        extracted(:,:,ii) = dummy2;
        subplot(2,1,1)
        subimage(dummy2)
        colormap(gray(256))
        A = getframe;
        mov = addframe(mov,A);
        
    end
        subplot(2,1,2)
        imagesc(dummy2)
    
    ii = ii+numperof;
    %     A = mat2gray(dummy2);
    %     [A,map] = gray2ind(A,256);
    %     filename = sprintf('gbe%d.jpg',ii);
    %     imwrite(A,map,filename,'jpeg')
end
mov = close(mov);
% figure(2)
% subplot(2,2,1)
% imagesc(original(:,:,:,1))
% title('frame 1')
% subplot(2,2,2)
% imagesc(original(:,:,:,2))
% title('frame 2')
% subplot(2,2,3)
% imagesc(original(:,:,:,3))
% title('frame 3')
% subplot(2,2,4)
% imagesc(original(:,:,:,4))
% title('frame 4')
% truesize
% print -depsc balloon_sequence
% 
% %make  group figures for report
% for ii = 1:4:9
%     figure(ii)
%     subplot(2,2,1)
%     imagesc(small(:,:,ii))
%     title('frame 1')
%     subplot(2,2,2)
%     imagesc(small(:,:,ii+1))
%     title('frame 2')
%     subplot(2,2,3)
%     imagesc(small(:,:,ii+2))
%     title('frame 3')
%     subplot(2,2,4)
%     imagesc(small(:,:,ii+3))
%     title('frame 4')
%     colormap(gray(256))
%     truesize
%     eval(sprintf('print -depsc gbe%dthru%d',ii,ii+3))
% end


