clear
clc
close all
H1 = [-1,0,1;-2,0,2;-1,0,1];
H2 = H1';
gt = 75; %gradient threshold

num_pics = 2;
figure(1)
for nn = 1:num_pics
s = sprintf('gb%d.jpg',nn);
%-------------------------------------
[input,mapi] = imread(s,'jpeg');

%perform the sobel operator on each color layer
for ll = 1:3
Gx = conv2(input(:,:,ll),H1);
Gy = conv2(input(:,:,ll),H2);
for ii = 1:size(Gx,1)
    for jj = 1:size(Gx,2)
        gmn(ii,jj) = sqrt((Gx(ii,jj))^2+(Gy(ii,jj))^2);
    end
end
image_grad(:,:,ll) = gmn;
end

%now average the three colors and test threshold
for ii = 1:size(image_grad,1)
    for jj = 1:size(image_grad,2)
        mean = (1/3)*(image_grad(ii,jj,1)+image_grad(ii,jj,2)+image_grad(ii,jj,3));
        if mean > gt
            output(ii,jj,nn) = 0;
        else
            output(ii,jj,nn) = 255;
        end
    end
end
end


figure(1)
for xx = 1:num_pics
    mm(:,:,xx) = output(:,:,xx)-output(:,:,1);
%     %apply median filter
%     for ii = 1:size(image_grad,1)
%         for jj = 1:size(image_grad,2)
%             if jj == size(image_grad,2)-1
%                 return
%             end
%             mm(ii,jj,xx) = median([mm(ii,jj,xx),mm(ii,jj+1,xx),mm(ii,jj+2,xx)]);
%         end
%     end
%     for jj = 1:size(image_grad,2)
%         for ii = 1:size(image_grad,1)
%             if ii == size(image_grad,1)-1
%                 return
%             end
%             mm(ii,jj,xx) = median([mm(ii,jj,xx),mm(ii+1,jj,xx),mm(ii+2,jj,xx)]);
%         end
%     end
    subplot(num_pics,1,xx)
    colormap(gray(256))
    image(mm(:,:,xx))
end
truesize