%Josh Clanton
%ELEC 6430
%2/24/05

clear
clc

%==========Laplacian Operator==============
H = [0,-1,0;-1,4,-1;0,-1,0];
H = [-1,-1,-1;-1,8,-1;-1,-1,-1];
%H = [1,-2,1;-2,4,-2;1,-2,1];

[camera,map] = imread('camera.tif','tiff');
I = mat2gray(camera);
[camera,map] = gray2ind(I,256);

G2 = conv2(camera,H);

figure(1)
subplot(2,1,1)
image(camera)
subplot(2,1,2)
image(G2)
truesize

%==============color edge detection===================
[input,mapi] = imread('sunset.jpg','jpeg');

%perform the laplace operator on each color layer
G2r = conv2(input(:,:,1),H);
G2g = conv2(input(:,:,2),H);
G2b = conv2(input(:,:,3),H);
figure(2)
colormap(gray(256))
subplot(3,1,1)
image(G2r)
subplot(3,1,2)
image(G2g)
subplot(3,1,3)
image(G2b)

