clear
clc
close all

nn = 16; %number of images in the sequence
for ii = 1:nn
    s = sprintf('sphere.%d.ppm',ii);
    [input,map] = imread(s,'ppm');
    original(:,:,:,ii) = input;
    dummy = rgb2ind(input,gray(256));
    input2(:,:,ii) = dummy;
    A = mat2gray(dummy);
    [A,map] = gray2ind(A,256);
    filename = sprintf('sphere%d.jpg',ii);
    imwrite(A,map,filename,'jpeg')
end

% figure(2)
% subplot(2,2,1)
% imagesc(original(:,:,:,1))
% subplot(2,2,2)
% imagesc(original(:,:,:,2))
% subplot(2,2,3)
% imagesc(original(:,:,:,3))
% subplot(2,2,4)
% imagesc(original(:,:,:,4))
% truesize
% print -depsc sphere_sequence
% 
%make  group figures for report
for ii = 1:4:9
    figure(ii)
    subplot(2,2,1)
    imagesc(input2(:,:,ii))
    title('frame 1')
    subplot(2,2,2)
    imagesc(input2(:,:,ii+1))
    title('frame 2')
    subplot(2,2,3)
    imagesc(input2(:,:,ii+2))
    title('frame 3')
    subplot(2,2,4)
    imagesc(input2(:,:,ii+3))
    title('frame 4')
    colormap(gray(256))
    truesize
    eval(sprintf('print -depsc sphere%dthru%d',ii,ii+3))
end


